Skip to main content
GET
/
agents
List agents
curl --request GET \
  --url https://api.agentic.scope3.com/api/v2/partner/agents \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "agentId": "<string>",
      "type": "SALES",
      "name": "<string>",
      "endpointUrl": "<string>",
      "protocol": "MCP",
      "authenticationType": "API_KEY",
      "accountPolicy": [
        "advertiser_account"
      ],
      "status": "PENDING",
      "relationship": "SELF",
      "authConfigured": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "customerAccounts": [
        {
          "accountIdentifier": "<string>",
          "status": "<string>"
        }
      ],
      "requiresAccount": true,
      "oauth": {
        "authorizationUrl": "<string>",
        "agentId": "<string>",
        "agentName": "<string>"
      }
    }
  ],
  "total": 4503599627370495,
  "hasMore": true
}

Authorizations

Authorization
string
header
required

API key or access token

Query Parameters

type
enum<string>

Filter by agent type

Available options:
SALES,
SIGNAL,
CREATIVE,
OUTCOME
status
enum<string>

Filter by agent status

Available options:
PENDING,
ACTIVE,
DISABLED
relationship
enum<string>

Filter by relationship: SELF = owned by you, MARKETPLACE = all other marketplace agents

Available options:
SELF,
MARKETPLACE
name
string

Filter by agent name (partial match, case-insensitive)

limit
integer

Maximum number of agents to return per page (default: 20)

Required range: x <= 9007199254740991
offset
integer

Number of agents to skip for pagination (default: 0)

Required range: 0 <= x <= 9007199254740991

Response

List agents

Paginated list of agents

items
object[]
required

List of agents for the current page

total
integer
required

Total number of agents matching the query

Required range: 0 <= x <= 9007199254740991
hasMore
boolean
required

Whether there are more items available beyond this page. Use offset + limit to fetch the next page.